Bug 160894 - ICH5-R: Secondary master IDE drive not recognized during install or later
ICH5-R: Secondary master IDE drive not recognized during install or later
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-18 02:55 EDT by Julius Smith
Modified: 2015-01-04 17:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julius Smith 2005-06-18 02:55:41 EDT
Description of problem:

I have a Gigabyte-8KNXP motherboard, using its Intel ICH5R controller chip for
my three IDE drives: two SATA and one PATA.  The SATA drives, which are mapped
to primary IDE master and slave, are recognized normally (as /dev/sda and
/dev/sdb).  The PATA drive is not recognized in any form.  In particular, my
previous FC2 installation on that drive was not detected.  Under FC2, all three
drives are recognized.  I went ahead and installed FC4 on /dev/sda, and
everything seems ok, except I cannot find any trace of /dev/hdc* (or /dev/sdc*,
for that matter) under FC4.  I can reboot FC2 (on /dev/hdc) and everything looks
normal again.  Under FC2 I can mount /dev/sda (boot and LVM) just fine.

Maybe there is something confusing about the fact that SATA drives use the SCSI
driver while PATA drives do not?

While booting FC4, the "details" boot log complains that ata2 timed out (30
seconds) and that the port was disabled.  Could it simply be that my Western
Digital 200GB drive is responding too slowly, or that there is some other delay
causing this?  If the FC2 timeout is longer than 30 seconds, this would seem to
be a reasonable theory.  On the other hand, perhaps the drive never got the ping
due to a mixup between SCSI and IDE?  Just a thought . . .

In summary, FC2 sees all disks, but FC4 only sees the primary IDE disks (which
are SATA disks), and cannot see the secondary master PATA disk.  All disks are
connected to the Intel ICH5R, as far as I can tell from the board doc.

The only other disk I have is a DVD-ROM as IDE4 master (connected to the
GigaRAID controller chip).  It seems to work fine, and I installed FC4 from it.

Version-Release number of selected component (if applicable): 

How reproducible: 100%

Steps to Reproduce:
1. Insert FC4 DVD
2. Select new custom install
3. Note lack of detection of FC2 on /dev/hdc
Comment 1 Julius Smith 2005-06-20 13:47:49 EDT
Here are some more measurements:

The BIOS recognizes all three IDE drives in about 12 seconds.
The FC4 time-out looks more like 20 seconds than 30.
FC2 sees no delays at the same corresponding point in the boot.
Instead, at that point, it notes that ide0 is in use and that a probe is skipped.

Here is a relevant section of /var/log/messages for FC4:
...
Jun 20 09:28:10 jos2p8 kernel: ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma
0xF008 irq 15
Jun 20 09:28:10 jos2p8 kernel: ata2 is slow to respond, please be patient
Jun 20 09:28:10 jos2p8 kernel: ata2 failed to respond (30 secs)
Jun 20 09:28:10 jos2p8 kernel: ATA: abnormal status 0xD0 on port 0x177
Jun 20 09:28:10 jos2p8 kernel: ata2: disabling port
...

Here is how it goes (successfully) booting the same hardware in FC2:

Jun 20 09:05:31 jos2p8 kernel: Uniform Multi-Platform E-IDE driver Revision:
7.00alpha2
Jun 20 09:05:31 jos2p8 kernel: ide: Assuming 33MHz system bus speed for PIO
modes; override with idebus=xx
Jun 20 09:05:31 jos2p8 kernel: ide0: I/O resource 0x1F0-0x1F7 not free.
Jun 20 09:05:31 jos2p8 kernel: ide0: ports already in use, skipping probe
Jun 20 09:05:31 jos2p8 kernel: hdc: WDC WD2000JB-00GVA0, ATA DISK drive

Perhaps I should be worried about "alpha" in the E-IDE driver revision.
Comment 2 Julius Smith 2005-06-23 17:54:50 EDT
I moved my "unseen" IDE drive from secondary master connected to the Intel ICH5R
controller to the first connector for the "Gigaraid" disk controller chip, and
now it works fine.  Here is how the dmesg output looks now:

...
hda: WDC WD2000JB-00GVA0, ATA DISK drive
ide0 at 0x7410-0x7417,0x7802 on irq 169
Probing IDE interface ide1...
hdd: SONY CD-RW CRX300E, ATAPI CD/DVD-ROM drive
ide1 at 0x7c10-0x7c17,0x8002 on irq 169
hda: max request size: 1024KiB
hda: 390721968 sectors (200049 MB) w/8192KiB Cache, CHS=24321/255/63, UDMA(100)
hda: cache flushes supported
 hda: hda1 hda2 hda3
hdd: ATAPI 48X DVD-ROM CD-R/RW drive, 2048kB Cache
...
SCSI subsystem initialized
libata version 1.10 loaded.
ata_piix version 1.03
ata_piix: combined mode detected
ACPI: PCI Interrupt 0000:00:1f.2[A] -> GSI 18 (level, low) -> IRQ 177
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ata1: SATA max UDMA/133 cmd 0x1F0 ctl 0x3F6 bmdma 0xF000 irq 14
ata1: dev 0 cfg 49:2f00 82:346b 83:7f21 84:4003 85:3468 86:3c01 87:4003 88:003f
ata1: dev 0 ATA, max UDMA/100, 234441648 sectors: lba48
ata1: dev 1 cfg 49:2f00 82:346b 83:7f21 84:4003 85:3468 86:3c01 87:4003 88:003f
ata1: dev 1 ATA, max UDMA/100, 234441648 sectors: lba48
ata1: dev 0 configured for UDMA/100
ata1: dev 1 configured for UDMA/100
scsi0 : ata_piix
  Vendor: ATA       Model: WDC WD1200JD-00F  Rev: 02.0
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 234441648 512-byte hdwr sectors (120034 MB)
SCSI device sda: drive cache: write back
SCSI device sda: 234441648 512-byte hdwr sectors (120034 MB)
SCSI device sda: drive cache: write back
 sda: sda1 sda2
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
  Vendor: ATA       Model: WDC WD1200JD-00F  Rev: 02.0
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdb: 234441648 512-byte hdwr sectors (120034 MB)
SCSI device sdb: drive cache: write back
SCSI device sdb: 234441648 512-byte hdwr sectors (120034 MB)
SCSI device sdb: drive cache: write back
 sdb: sdb1 sdb2
Attached scsi disk sdb at scsi0, channel 0, id 1, lun 0
ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0xF008 irq 15
input: ImExPS/2 Generic Explorer Mouse on isa0060/serio1
ata2: disabling port
scsi1 : ata_piix
...

Interestingly, the formerly unseen 200GB WD drive (now working fine as /dev/hda)
did NOT respond quickly enough for the BIOS scan to see it. The DVD-ROM drive
connected to the other Gigaraid connector (always working on /dev/hdd), did
respond in time to the BIOS, so it doesn't appear that BIOS detection is a bad
thing.  

The early kernel boot-log "details" continue to say ATA2 port is disabled, but
now there is nothing plugged into it, so I assume that's ok now.
Comment 3 Alan Cox 2005-07-11 05:37:44 EDT
Any idea Jeff
Comment 4 Dave Jones 2005-07-15 17:42:40 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 5 Dave Jones 2005-09-30 02:31:49 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 6 Dave Jones 2005-11-10 14:31:24 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 7 Dave Jones 2006-02-03 00:33:55 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 Julius Smith 2006-02-07 02:33:59 EST
I will test this again when I get a new disk to plug in as secondary master.  I
do not wish to risk moving /dev/sda to /dev/hdc because it is my main system
disk and part of an LVM.  I'll log my test results here when they exist.
Comment 9 Dave Jones 2006-09-16 22:06:24 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 10 Dave Jones 2006-10-16 14:12:39 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 11 Jon Stanley 2008-01-19 23:39:06 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.